Package org.eclipse.rdf4j.benchmark.rio

## Enum RDFTestDataset

- java.lang.Object
- - java.lang.Enum<RDFTestDataset>
  - - org.eclipse.rdf4j.benchmark.rio.RDFTestDataset

- All Implemented Interfaces:
    `Serializable`, `Comparable<RDFTestDataset>`

      public enum RDFTestDataset
      extends Enum<RDFTestDataset>

  This enum holds locations for RDF files from the web. It allows downloading these into a a temporary location in `{java.io.tmpdir}/rdf4j-benchmark-datasets/{filename}` . Please note
  Author:
    Frens Jan Rumph

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BSBM` | A dump of the Berlin SPARQL Benchmark made available by the HOBBIT project.
    `DATAGOVBE` | A Data Catalogue Vocabulary file from Federal Public Service Policy and Support DG Digital Transformation's github repository.
    `FISHMARK` | A dump of the FishMark benchmark made available by the HOBBIT project.
    `GENE2GO` | A dump of the gene database of National Center for Biotechnology Information made available by the Bio2RDF project.
    `LEXVO` | A dump of the Lexvo.org data.
    `SP2BENCH` | A dump of the SP2Bench benchmark made available by the HOBBIT project.
    `SWDF` | A dump of the Semantic Web Dog Food dataset made available by the HOBBIT project.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `download()` | Download the dataset file to `{java.io.tmpdir}/rdf4j-benchmark-datasets/{fileName}`.
    `static RDFTestDataset` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RDFTestDataset[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BSBM

          public static final RDFTestDataset BSBM

      A dump of the Berlin SPARQL Benchmark made available by the HOBBIT project.

      25 GB extracted.

    - #### FISHMARK

          public static final RDFTestDataset FISHMARK

      A dump of the FishMark benchmark made available by the HOBBIT project.

      1.8 GB extracted

    - #### SP2BENCH

          public static final RDFTestDataset SP2BENCH

      A dump of the SP2Bench benchmark made available by the HOBBIT project.

      2.7 GB extracted

    - #### SWDF

          public static final RDFTestDataset SWDF

      A dump of the Semantic Web Dog Food dataset made available by the HOBBIT project.

      49 MB extracted

    - #### GENE2GO

          public static final RDFTestDataset GENE2GO

      A dump of the gene database of National Center for Biotechnology Information made available by the Bio2RDF project.

      5.6 GB extracted

    - #### LEXVO

          public static final RDFTestDataset LEXVO

      A dump of the Lexvo.org data.

      67 MB extracted

    - #### DATAGOVBE

          public static final RDFTestDataset DATAGOVBE

      A Data Catalogue Vocabulary file from Federal Public Service Policy and Support DG Digital Transformation's github repository.

      139 MB extracted

  - ### Method Detail

    - #### values

          public static RDFTestDataset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RDFTestDataset c : RDFTestDataset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RDFTestDataset valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### download

          public File download()

      Download the dataset file to `{java.io.tmpdir}/rdf4j-benchmark-datasets/{fileName}`.
      Returns:
        The `File` to which the dataset was downloaded and extracted.